cURL
curl --request POST \ --url https://api.plurex.io/api/v1/hosts/query/GetAccountMarketState \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --header 'X-API-SECRET: <api-key>' \ --data ' { "accountId": "<string>", "instrument": { "base": "<string>", "quote": "<string>", "marketType": "<string>" } } '
{ "traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "serverTime": "2023-11-07T05:31:56Z", "data": { "type": "Perp", "instrument": { "base": "<string>", "quote": "<string>", "marketType": "<string>" }, "currentLeverageSetting": { "type": "Leveraged", "leverage": 123 }, "collateral": { "collateralValueAsset": "<string>", "total": "<string>", "available": "<string>" }, "position": { "instrument": { "base": "<string>", "quote": "<string>", "marketType": "<string>" }, "long": { "size": "<string>", "entryPrice": "<string>" }, "short": { "size": "<string>", "entryPrice": "<string>" }, "mode": "TwoWay" } }, "warnings": [ "<string>" ] }
Get detailed market state for a specific account and instrument
Show child attributes
Successful response
Unique identifier for tracing.
RFC3339 timestamp of processing.
The actual payload of the successful response.